DRM_MM_RESERVE_NODE(9)

NAME
drm_mm_reserve_node - insert an pre-initialized node

SYNOPSIS

int drm_mm_reserve_node(struct drm_mm * mm, struct drm_mm_node * node);

ARGUMENTS

mm
    drm_mm allocator to insert node into

node
    drm_mm_node to insert

DESCRIPTION

This functions inserts an already set-up drm_mm_node into the allocator, meaning that start, size and color must be set by the caller. This is useful to initialize the allocator with preallocated objects which must be set-up before the range allocator can be set-up, e.g. when taking over a firmware framebuffer.

RETURNS

0 on success, -ENOSPC if there's no hole where node is.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT